Subject: Re: bug#62750: 29.0.50; Commands 'package-update' and 'package-update-all' should be called '*-upgrade'

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Apr 2023 16:28:56 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Dmitry Gutov <[email-masked]>,  Adam Porter <[email-masked]>,  Eli
>  Zaretskii <[email-masked]>,  Lars Ingebrigtsen <[email-masked]>,
>   [email-masked]
> Date: Wed, 12 Apr 2023 09:22:03 -0400
> 
> >> It's annoyingly late to rename, but if we rename without compatibility
> >> aliases (which seems to be an option since these are new in Emacs-29),
> >> then I'd be in favor.
> >
> > What are compatibility aliases?  I must have missed something?
> 
> I thought we'd rename `package-update` to `package-upgrade` by adding
> the new name and marking the old name as an obsolete alias (a
> "compatibility alias").
> 
> I hadn't realized that `package-update` hasn't been in a release yet, so
> we don't need such a compatibility alias.

Even though these commands were available under those names for the
last year or so?